/*
 * Creado por SharpDevelop.
 * Usuario: FJavier
 * Fecha: 23/11/2008
 * Hora: 11:30
 * 
 * Para cambiar esta plantilla use Herramientas | Opciones | Codificación | Editar Encabezados Estándar
 */

using System;
using System.Collections.Generic;
using System.Drawing;
using System.Windows.Forms;

namespace ConversionGrados
{
  /// <summary>
  /// Description of MainForm.
  /// </summary>
  public partial class MainForm : Form
  {
    public MainForm()
    {
      //
      // The InitializeComponent() call is required for Windows Forms designer support.
      //
      InitializeComponent();
      
      //
      // TODO: Add constructor code after the InitializeComponent() call.
      //
    }
    
    void BdGradosValueChanged(object sender, EventArgs e)
    {
      double grados = 0;
      // Si la conversión es de ºC a ºF ...
      if (rbCaF.Checked == true)
      {
        grados = bdGrados.Value * 9.0 / 5.0 + 32.0;
        // Mostrar el resultado redondeado a dos decimales
        etGradosF.Text = string.Format("{0:F2}", grados);
        etGradosC.Text = string.Format("{0:F2}", bdGrados.Value);
      }
      // Si la conversión es de ºF a ºC ...
      if (rbFaC.Checked == true)
      {
        grados = (bdGrados.Value - 32.0) * 5.0 / 9.0;
        // Mostrar el resultado redondeado a dos decimales
        etGradosC.Text = string.Format("{0:F2}", grados);
        etGradosF.Text = string.Format("{0:F2}", bdGrados.Value);
      }
    }
    
    void CvIntervaloCheckedChanged(object sender, EventArgs e)
    {
      if (cvIntervalo.Checked == true)
      {
        bdGrados.Minimum = -50;
        bdGrados.Maximum = 150;
        etInf.Text = "-50";
        etSup.Text = "150";
      }
      else
      {
        bdGrados.Minimum = -30;
        bdGrados.Maximum = 70;
        etInf.Text = "-30";
        etSup.Text = "70";
      }
    }
  }
}
